Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.muse.ws.metadata.impl
Class SimpleMetadataExchange

    java.lang.Object
      org.apache.muse.core.AbstractCapability
          org.apache.muse.ws.metadata.impl.SimpleMetadataExchange

All Implemented Interfaces:
  Capability, Initialization, InitializationParameters, MetadataExchange, Shutdown

Direct Known Subclasses:
  WsrfMetadataExchange

public class SimpleMetadataExchange
extends AbstractCapability
implements MetadataExchange

SimpleMetadataExchange is Muse's default implementation of the WS-MetadataExchange GetMetadata port type. The only supported metadata type (dialect) is WSDL.

Author:
  Dan Jemiolo (danj)

Constructor Summary
`SimpleMetadataExchange()`

Method Summary
`protected MessageHandler` | `createGetMetadataHandler()`
`org.w3c.dom.Element[]` | `getMetadata(java.lang.String dialect)` Returns the XML fragments (sometimes a whole document) that describes the desired metadata.
`protected org.w3c.dom.Element` | `getWSDL()`
`void` | `initialize()`

Methods inherited from class org.apache.muse.core.AbstractCapability
`getActions, getCapabilityURI, getEnvironment, getInitializationParameter, getInitializationParameters, getLog, getMessageHandler, getPersistence, getResource, hasBeenInitialized, hasBeenShutdown, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setInitializationParameters, setLog, setMessageHandler, setMessageHandlers, setPersistence, setResource, shutdown`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.muse.core.Capability
`getActions, getCapabilityURI, getEnvironment, getLog, getMessageHandler, getPersistence, getResource, initializeCompleted, prepareShutdown, setCapabilityURI, setEnvironment, setLog, setMessageHandlers, setPersistence, setResource`

Methods inherited from interface org.apache.muse.core.Initialization
`hasBeenInitialized`

Methods inherited from interface org.apache.muse.core.InitializationParameters
`getInitializationParameter, getInitializationParameters, setInitializationParameters`

Methods inherited from interface org.apache.muse.core.Shutdown
`hasBeenShutdown, shutdown`

Constructor Detail

### SimpleMetadataExchange

    public SimpleMetadataExchange()

Method Detail

### createGetMetadataHandler

    protected MessageHandler createGetMetadataHandler()

### getMetadata

    public org.w3c.dom.Element[] getMetadata(java.lang.String dialect)

  Description copied from interface: `MetadataExchange`
  Returns the XML fragments (sometimes a whole document) that describes the desired metadata.

  Specified by:
    `getMetadata` in interface `MetadataExchange`
  Parameters:
    `dialect` - The URI describing the type of metadata to search for. This may be WSDL, RMD, WS-Policy, or others.
  Returns:
    The XML fragment(s) that describe the desired metadata. If the resource has no such metadata, the array is empty.

### getWSDL

    protected org.w3c.dom.Element getWSDL()

### initialize

    public void initialize()
                    throws SoapFault

  Specified by:
    `initialize` in interface `Initialization`
  Overrides:
    `initialize` in class `AbstractCapability`
  Throws:
    `SoapFault`

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD